/*********************************************************************
* List-Style Toolbar, version 1.0 (June 3, 2003)
* Copyright (C) 2003 Michal Mecinski.
*
* You may freely use and modify this code, but don't remove
* this copyright note.
*
* THERE IS NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, FOR
* THIS CODE. THE AUTHOR DOES NOT TAKE THE RESPONSIBILITY
* FOR ANY DAMAGE RESULTING FROM THE USE OF IT.
*
* E-mail: mimec@mimec.org
* WWW: http://www.mimec.org
********************************************************************/

#pragma once

#include "AlphaImageList.h"

class CListToolBar : public CToolBarCtrl
{
public:
	CListToolBar();
	virtual ~CListToolBar();

public:
	// Create the toolbar
	BOOL Create(CWnd* pParentWnd, UINT nID=0);

	// Load toolbar from toolbar resource
	BOOL LoadToolBar(UINT nID, int nStyle=AILS_OLD);
	
	// Resize the toolbar
	void UpdateSettings();

protected:
	virtual void OnUpdateCmdUI(CFrameWnd* pTarget, BOOL bDisableIfNoHndler);

protected:
	CAlphaImageList m_ImgList;

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg LRESULT OnIdleUpdateCmdUI(WPARAM wParam, LPARAM);
};
